<?php
/*
 
Plugin Name: Donate to Website
Plugin URI: https://loopwi.com/monetization
Description: Collect donations on your website.
Version: 2.0
Author: Loopwi
Author URI: https://loopwi.com/
License: GPLv2 or later
Text Domain: loopwi
 
*/

//Declare
define( 'loopwi', 'Donate to Website' );

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) {
    exit;
}



//Load jQuery
function loopwi_donate2website_load_jquery() {
    if ( ! wp_script_is( 'jquery', 'enqueued' )) {

        //Enqueue
        wp_enqueue_script( 'jquery' );

    }
}
add_action( 'wp_enqueue_scripts', 'loopwi_donate2website_load_jquery' );

//
global $wpdb;
$table_name = $wpdb->prefix . "d2wplugins_settings";
$my_products_db_version = '1.0.0';
$charset_collate = $wpdb->get_charset_collate();

if ( $wpdb->get_var("SHOW TABLES LIKE '{$table_name}'") != $table_name ) {

    $sql = "CREATE TABLE $table_name (
            ID int(11) NOT NULL AUTO_INCREMENT,
            `pid` text NOT NULL,
            `domain` text NOT NULL,
            `site_code` text NOT NULL,
            `button_label` text NOT NULL,
            `first_text` text NOT NULL,
            `second_text` text NOT NULL,
            `date` text NOT NULL,
            PRIMARY KEY  (ID)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
    add_option('my_db_version', $my_products_db_version);
}

//Install intial data
//Check if it exists first
global $wpdb; 
$results = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}d2wplugins_settings WHERE pid = 1" );
if ( null == $results->pid ) { 
//Default data
$pid = "1";
$domain = $_SERVER['SERVER_NAME'];
$button_label = "Support Us";
$first_text = "We have a small favour to ask. Millions are turning to the our website for open, independent, quality news every day, and readers in 10 countries around the world now support us financially";
$second_text = "Support us from as little as $1 – it only takes a minute. Thank you.";
$date = date("D d, M, Y");

$table_name = $wpdb->prefix . 'd2wplugins_settings';

$wpdb->insert( 
	$table_name, 
	array(   
		'pid' => $pid, 
		'domain' => $domain, 
        'button_label' => $button_label,
        'first_text' => $first_text,
        'second_text' => $second_text,
		'date' => $date, 
	) 
);

}

//

//Enqueue styles
function loopwi_donate2website_styles() {
    wp_enqueue_style( 'loopwi_donate2website',  plugin_dir_url( __FILE__ ) . 'css/donate2website.css');
    wp_enqueue_style( 'loopwi_donate2website_fonts',  plugin_dir_url( __FILE__ ) . 'css/opensans-font.css');
    wp_enqueue_style( 'loopwi_donate2website_fonts2',  plugin_dir_url( __FILE__ ) . 'fonts/line-awesome/css/line-awesome.min.css');        
    wp_enqueue_style( 'loopwi_donate2website_styles',  plugin_dir_url( __FILE__ ) . 'css/style.css');
    wp_enqueue_style( 'loopwi_donate2website_bootsrap',  plugin_dir_url( __FILE__ ) . 'css/bootstrap.min.css');
    wp_enqueue_style( 'loopwi_donate2website_plugins',  plugin_dir_url( __FILE__ ) . 'css/plugins.css'); 
    wp_enqueue_style( 'loopwi_donate2website_style_report',  plugin_dir_url( __FILE__ ) . 'css/style_report.css');             
}
add_action( 'wp_enqueue_scripts', 'loopwi_donate2website_styles' );

///////////////////////////////////////
//Enqueue Scripts
function loopwi_donate2website_add_theme_scripts() { 
  wp_enqueue_script( 'script', get_template_directory_uri() . '/js/jquery.min.js', array ( 'jquery' ), '3.6.0', 'true');
  wp_enqueue_script( 'script', get_template_directory_uri() . '/js/popper.min.js', array ( 'popper' ), '2.9.3', 'true');
  wp_enqueue_script( 'script', get_template_directory_uri() . '/js/bootstrap.min.js', array ( 'bootstrap' ), '5.1.0', 'true');
}
add_action( 'wp_enqueue_scripts', 'loopwi_donate2website_add_theme_scripts' );


//Create menu item  
add_action('admin_menu', 'loopwi_donate2website_plugin_setup_menu'); 

function loopwi_donate2website_plugin_setup_menu(){
    add_menu_page('Donate to Website Plugin', 'Donate to Website Plugin', 'manage_options', 'donate2website', 'loopwi_donate2website_init', 'dashicons-chart-area', 26 );

    add_submenu_page('donate2website', 'Donate to Website Plugin Settings', 'Settings', 'manage_options', 'donate2website_settings', 'loopwi_donate2website_settings_init' ); 
}
//
//Acton links
function loopwi_donate2website_action_links( $links ) {

    $links = array_merge( array(
        '<a href="' . esc_url( admin_url( '/admin.php?page=donate2website' ) ) . '">' . __( 'Reports', 'textdomain' ) . '</a>',
         '<a href="' . esc_url( admin_url( '/admin.php?page=donate2website_settings' ) ) . '">' . __( 'Settings', 'textdomain' ) . '</a>'
    ), $links );

    return $links;

}
add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'loopwi_donate2website_action_links' );

//Print main page 
function loopwi_donate2website_init(){
    include( plugin_dir_path( __FILE__ ) . 'includes/dashboard.php');
}

//Print settings page
function loopwi_donate2website_settings_init(){
    include( plugin_dir_path( __FILE__ ) . 'includes/settings.php');
}

//Initiate plugin
global $wpdb; 
$results = $wpdb->get_row( "SELECT * FROM {$wpdb->prefix}d2wplugins_settings WHERE pid = 1" );
    if ( null == $results->site_code ) {
//Do nothing
      }else{
        //get datas
    $site_code = $results->site_code; 
    $button_label = $results->button_label;
    $first_text = $results->first_text;
    $second_text = $results->second_text;
//
////////
//Declare variables
    global $site_code; 
    global $button_label; 
    global $first_text; 
    global $second_text; 
//
function show_donate($content) {
//Declare wthin fnction now
    global $site_code; 
    global $button_label; 
    global $first_text; 
    global $second_text; 
//
$donate_text = "<div class='d2w_donate_area'>".esc_html($first_text)." <span class='d2w_highlight'>".esc_html($second_text)."</span><a href='https://loopwi.com/api/d2w/get_link?site_code=".md5($site_code)."'><br><button class='d2w_btn'>".esc_html($button_label)."  &#8594; </button></a><br><img src='".plugin_dir_url( __FILE__ )."images/payment-methods.png' style='width:200px;'></div>";

if(is_single() && !is_home() && !is_singular( 'p2r_premium_posts' )) {
$content .= $donate_text;
}
return $content;
}
//
add_filter('the_content','show_donate');

//Shortcode
// The shortcode function
function loopwi_donate2website__shortcode() { 
 //Declare wthin fnction now
    global $site_code; 
    global $button_label; 
    global $first_text; 
    global $second_text; 
//
$string .= "<div class='d2w_donate_area'>".esc_html($first_text)." <span class='d2w_highlight'>".esc_html($second_text)."</span><a href='https://loopwi.com/api/d2w/get_link?site_code=".md5($site_code)."'><br><button class='d2w_btn'>".esc_html($button_label)."  &#8594; </button></a><br><img src='".plugin_dir_url( __FILE__ )."images/payment-methods.png' style='width:200px;'></div>";
// Ad code returned
return $string; 
 
}
// Register shortcode
add_shortcode('donate_to_website', 'loopwi_donate2website__shortcode');
//
}